---
title: Math.min()
slug: Web/JavaScript/Reference/Global_Objects/Math/min
tags:
  - JavaScript
  - Lowest Number
  - Lowest Value
  - Math
  - Method
  - Minimum
  - Reference
  - Smallest
  - Smallest Number
  - Smallest Value
  - min
---
<div>{{JSRef}}</div>

<p><span class="seoSummary">The static function <strong><code>Math.min()</code></strong> returns the lowest-valued number passed into it, or {{jsxref("NaN")}} if any parameter isn't a number and can't be converted into one.</span></p>

<div>{{EmbedInteractiveExample("pages/js/math-min.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">Math.min([<var>value1</var>[, <var>value2</var>[, ...]]])</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>value1</var>, <var>value2</var>, ...</code></dt>
 <dd>Zero or more numbers among which the lowest value will be selected and returned.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>The smallest of the given numbers. If any one or more of the parameters cannot be converted into a number, {{jsxref("NaN")}} is returned. The result is {{jsxref("Infinity")}} if no parameters are provided.</p>

<h2 id="Description">Description</h2>

<p>Because <code>min()</code> is a static method of <code>Math</code>, you always use it as <code>Math.min()</code>, rather than as a method of a <code>Math</code> object you created (<code>Math</code> is not a constructor).</p>

<p>If no arguments are given, the result is {{jsxref("Infinity")}}.</p>

<p>If at least one of arguments cannot be converted to a number, the result is {{jsxref("NaN")}}.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_Math.min">Using Math.min()</h3>

<p>This finds the min of <code>x</code> and <code>y</code> and assigns it to <code>z</code>:</p>

<pre class="brush: js notranslate">var x = 10, y = -20;
var z = Math.min(x, y);
</pre>

<h3 id="Clipping_a_value_with_Math.min">Clipping a value with Math.min()</h3>

<p><code>Math.min()</code> is often used to clip a value so that it is always less than or equal to a boundary. For instance, this</p>

<pre class="brush: js notranslate">var x = f(foo);

if (x &gt; boundary) {
  x = boundary;
}
</pre>

<p>may be written as this</p>

<pre class="brush: js notranslate">var x = Math.min(f(foo), boundary);
</pre>

<p>{{jsxref("Math.max()")}} can be used in a similar way to clip a value at the other end.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-math.min', 'Math.min')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Math.min")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Math.max()")}}</li>
</ul>
